//
// MousGest.hpp:
//	Interface Definition of class GloveMouseGestures.
//	Example use of Object Glove and Court Jesture.
//
// Purpose:
//	Gesture class for using the glove as a mouse.
//
// Compatibility:
//	Windows only!
//
// Copyright 1993   Mark Thomas Pflaging
//
// Date:	3/22/93 (Release 3.0)
//
// Copyright 1993, Mark T. Pflaging
#ifndef __MOUSGEST_HPP
#define __MOUSGEST_HPP

#include <owl.h>
#include "namenumb.hpp"

class GloveMouseGestures : public NumberedGestSet {
	enum MouseGests {
		LeftButtonDown,
		LeftButtonDoubleClick,
		RightButtonDown,
		RightButtonDoubleClick,
		Suspend,
		Quit
	};
	static POINT * position;
	static TApplication * app;
        Boolean suspended;

public:
	GloveMouseGestures(char * name = NULL) : NumberedGestSet(name) {}
	GloveMouseGestures(InitFile & ini, TApplication * here, char * sectionName = "Windows") {
		Init(ini, here, sectionName);
	}
	void Init(InitFile & ini, TApplication * here, char * sectionName);
	virtual void Register(Gesture & found, Boolean onOrOff);
	static void setPosition(POINT * arg) { position = arg; }
	BOOL MyPostMessage(HWND hwnd, UINT umsg, WPARAM wParam, LPARAM lParam);
	Boolean isSuspended() { return suspended; }
};

#endif
